# To run using ipython, put dtRoots.py in a directory.
# Open a terminal window in that directory, and run ipython
# Then at the "In [1]:" prompt, type "from dtRoots import *"
# Finally call e.g. plot_roots(10,1,3) as many times as desired
# Use the plot window's spyglass to zoom in.

import numpy as np
import matplotlib.pyplot as plt

dt = 1.0e-3
fig, ax = plt.subplots();
angles = np.arange(0.0, 2*np.pi, 2*np.pi/500)
circy = np.sin(angles)
circx = np.cos(angles)
ax.scatter(circx,circy)
ax.grid(True)
plt.ion()


def plot_roots(Kp,Kd,Gamma):
    rts = np.roots([1,-2, 1+Gamma*(Kp*dt*dt+Kd*dt), -Gamma*Kd*dt])
    ax.scatter(np.real(rts),np.imag(rts))
    plt.show()
    
